aboutsummaryrefslogtreecommitdiff
path: root/games/philsay.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-07-02 01:40:32 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-07-02 01:44:41 +1200
commitf60184867b480bba44e5d4470dd8d58882195832 (patch)
tree35ef9cb67c177aa8f473d8c9fd96820dc37969a6 /games/philsay.sh
parentVery important addenda to pks(6df) (diff)
downloaddotfiles-f60184867b480bba44e5d4470dd8d58882195832.tar.gz
dotfiles-f60184867b480bba44e5d4470dd8d58882195832.zip
Break pks(6df) and philsay(6df) in two
Looks like awk(1) implementations vary in how they interpret option arguments.
Diffstat (limited to 'games/philsay.sh')
-rw-r--r--games/philsay.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/games/philsay.sh b/games/philsay.sh
new file mode 100644
index 00000000..dac2ae6e
--- /dev/null
+++ b/games/philsay.sh
@@ -0,0 +1,47 @@
+#!/bin/shp
+speech=$(pks "$@") || exit
+printf '\n%066s\n' '( '"$speech"' )'
+cat <<'EOF'
+ /
+
+ .''''''''''''''''''''''..
+ .'''''''''''''''''''''''''''
+ .'''''''''''''''''''''''''''''
+ ,'''''''''''''''''''''''''''''''
+ '''''''''''''''''''''''''''''''':
+ ,'''''''''''##`'''''''''''''''.'''`
+ ;''''''''.###########,'''''',###'''
+ ;'''''';#################:'#####.''
+ `:''''''#########################'.
+ ::` ,'+########################';
+ ''''''': .#####################''
+ ''''''''.####` `;#############;##'
+ ;''''''',####,###: +############.
+ ,###''''''#############` ;##:#######
+ ,#:##''';+#####+ :###### +##+ +
+ ,'#;#,''#####',+###` ;####`+
+ ,#'#,#';############++. ,`##
+ :#####+:#######,@,``@@,#####'
+ ;#+#+#############++++##.#+## +
+ ###+################'####'##
+ #######+###################.# :.
+ ######'########################'
+ ,+#####;#######################
+ ,#######;############'####+###:
+ ,#######################+#####'
+ ,###############' ` #'# +'#
+ #,##.###########'##+##'###'####
+ ``@.############## `+#@@@@@######
+ +```@@################ ,,. . ####.
+ ;````@@,##.##############':..:######
+ ;`````@@@########.##################
+ +````````@@@@#####;####################:
+ +`````.`````@@@@######`###################```+
+ +````````,`````'@@@@@##'#####################`````.
++ ``````````.``````@@@@@@##'###'################```````` +
+```````````````````@@@@@@@'#####;##########,##'`````````````.+
+```````````````````@@@@@@@@@+#####':####+:+'````````````````````,
+```````````````````,@@@@@@@@@#:#########'@@@``````````````````````
+```````````.````````@@@@@@@@@@@@#'#####@@@@@```````````````````````
+```````````.````````@@@@@@@@@@@@@@' @@@@@@@.``````````````````````
+EOF